Simulator Discussions

ONTAP 9.7; ESXi?

MattNeumann
15,312 Views

Having trouble getting the 9.7 simulator running on an ESXi server (v6.7.0, fwiw).  Running into repeated panics, the console not echoing input, and, most recently "Internal error: Cannot open corrupt replicated database.  Automatic recovery attempt has failed or is disabled".  It *did* get far enough in the CLI wizard for me to assign it an IP, and for me to use the Web wizard to set the root password; but after that, hangs and database problems.

 

So!  None of the instructions mention ESXi, they're all for workstation versions; is ESXi just unsupported now?

1 ACCEPTED SOLUTION

Ontapforrum
15,137 Views

Hi,

 

Looks like vSphere is no longer a supported application since 9.6 Simulator.

 

I have always used 'VMware workstation', so didn't really notice it, but as you also noted, there is no 'esxi/vsphere' mentioned anymore since 9.6 in the install/admin guide.


I checked the Install/Admin guide and it appears the support is removed since 9.6
https://mysupport.netapp.com/site/tools/tool-eula/simulate-ontap/download

 

Supported VMware applications for Simulate ONTAP: 9.6 & 9.7 (vSphere is dropped out)
1) VMware Workstation
2) VMware Player
3) VMware Fusion

 

Supported VMware applications until Simulate ONTAP: 9.5
1) VMware Workstation
2) VMware Player
3) VMware vSphere
4) VMware Fusion

 

Thanks!

View solution in original post

10 REPLIES 10

Ontapforrum
15,138 Views

Hi,

 

Looks like vSphere is no longer a supported application since 9.6 Simulator.

 

I have always used 'VMware workstation', so didn't really notice it, but as you also noted, there is no 'esxi/vsphere' mentioned anymore since 9.6 in the install/admin guide.


I checked the Install/Admin guide and it appears the support is removed since 9.6
https://mysupport.netapp.com/site/tools/tool-eula/simulate-ontap/download

 

Supported VMware applications for Simulate ONTAP: 9.6 & 9.7 (vSphere is dropped out)
1) VMware Workstation
2) VMware Player
3) VMware Fusion

 

Supported VMware applications until Simulate ONTAP: 9.5
1) VMware Workstation
2) VMware Player
3) VMware vSphere
4) VMware Fusion

 

Thanks!

Ontapforrum
15,135 Views

Another idea, you may explore this possibility: 9.56 can be installed on vSphere.

 

Try this:
1) Install esx 9.5P6 simulator version first. (You can go from 9.5 to 9.7 directly)
2) Do in-place upgrade to 9.7 (There are few articles on google for simulator upgrade , you can try any)

https://www.sysadmintutorials.com/netapp-ontap-97-simulator-upgrade/

 

See if that works.

himal123
15,111 Views

There is no problem at all,  I have all latest builds on vsan...

its even faster

 

 

himal123
15,103 Views

attach continues

MattNeumann
15,129 Views

Looks like you're on 7.0, where I'm on 6.7; that might be the difference!

 

Nice to see it's working well for you, thanks.

MattNeumann
15,127 Views

Thanks for digging into it!  Appreciate the information.

SeanHatfield
15,013 Views

The two key differences between the workstation and esx builds were the amount of ram (8gb vs 5gb) and the default set of simulated disks (56x4gb vs 28x1gb).  Neither should stop it from working on ESX, and you can easily bump the ram to 8gb.  The root aggregate/vol tends to fill up fast with 1gb disks, and that might be contributing to the panics you are seeing.  You can add a few more disks to the root aggregate and resize vol0 to get some breathing room.

 

Not seeing text echoed back on the vidconsole tends to happen if you need to go into the maintenance mode on a node.  In this case you can get around it by adding a serial port and setting it to use the comconsole.

 

Hope that helps.

 

If this post resolved your issue, help others by selecting ACCEPT AS SOLUTION or adding a KUDO.

MattNeumann
15,005 Views

I'll have to try those the next time I tackle this, thank you!

johannes_mitterer
11,256 Views

I had exactly the same issue with simulator 9.7 on on ESX 6.7.

Got it fixed in the loader:

unsetenv bootarg.rdb_corrupt

 

Joburgtaxi
1,763 Views

Hi

I am also trying to install vsim-esx-DOT9.5P6-cm_nodar.ova into an ESXi 6.7 environment and there are a number of errors while booting , please see attachments 

Public